[
{
    blockid=expire;
    help=store_expire_expire;
    custom=com.netscape.management.msgserv.StoreExpireControl;
    localvar={
	/* translate this block */
	.header.text="\uc790\ub3d9 \uba54\uc2dc\uc9c0 \uc81c\uac70 \uc815\ucc45(\ub9cc\ub8cc \ubc0f \uc81c\uac70)";
	.rules.text="\ub9cc\ub8cc \uaddc\uce59";
	.col0.header="\ubc30\ud0c0\uc801";
	.col1.header="\uc774\ub984";
	.col2.header="\ub300\uc0c1";
	.col3.header="\ud3f4\ub354 \ud06c\uae30";
	.col4.header="\uce74\uc6b4\ud2b8";
	.col5.header="\uae30\uac04";
	.col6.header="\uba54\uc2dc\uc9c0 \ud06c\uae30";
	.col7.header="\uc720\uc608 \uae30\uac04";
	.col8.header="\ud45c\uc2dc\ub428";
	.col9.header="\uc0ad\uc81c\ub428";
	.rule.help="\uba54\uc2dc\uc9c0 \uc800\uc7a5 \ub9cc\ub8cc \uaddc\uce59";
	.save.error="\ub9cc\ub8cc \uaddc\uce59 \uc124\uc815\uc744 \uc800\uc7a5\ud558\uc9c0 \ubabb \ud568";
	
        .sched.title="\ub9cc\ub8cc/\uc81c\uac70 \uc77c\uc815";
        .sched.expire.text="\ub9cc\ub8cc \uc791\uc5c5 \uc2e4\ud589 ";
        .sched.purge.text="\uc0ad\uc81c \uc791\uc5c5 \uc2e4\ud589(\uae30\ubcf8\uac12\uc740 \ub9cc\ub8cc\uac00 \ub05d\ub09c \uc2dc\uc810\uc784) ";
        .sched.month=["\ubaa8\ub450","1","2","3","4","5","6","7","8","9","10","11","12"];
        .sched.monthlabel="\uc6d4";
        .sched.dofmth=["\ubaa8\ub450","1","2","3","4","5","6","7","8","9","10","11","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"];
        .sched.dofwk=["\ubaa8\ub450","0","1","2","3","4","5","6"];
        .sched.dofmthlabel="\uc77c";
        .sched.dofwklabel="\uc694\uc77c";
        .sched.hour=["\ubaa8\ub450","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23"];
        .sched.min =["\ubaa8\ub450","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59"];
        .sched.hourlabel="\uc2dc\uac04";
        .sched.minlabel="\ubd84";	
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=rulelabel;
		    text=$.rule.help;
		},
		{
		    ctrl=table;
		    id=ruletable;
		    label=rulelabel;
		    showedit=true;
  		    addtext=$g.addbutton.text;
	            edittext=$g.editbutton.text;
		    deltext=$g.deletebutton.text;
		    columns=[
			{
			    header=$.col0.header;
			    renderer=boolean;
			    editor=boolean;
			    width=30;
			},
			{
			    header=$.col1.header;
			    width=70;
			},
			{
			    header=$.col2.header;
			    width=90;
			},
			{
			    header=$.col3.header;
			    width=80;
			},
			{
			    header=$.col4.header;
			    width=50;
			},
			{
			    header=$.col5.header;
			    width=30;
			},
			{
			    header=$.col6.header;
			    width=50;
			},
			{
			    header=$.col7.header;
			    width=30;
			},
			{
			    header=$.col8.header;
			    width=30;
			},
			{
			    header=$.col9.header;
			    width=30;
			}			
		    ];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$.sched.title;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{ /** expire/purge schedule pane **/
		    ctrl=pane;
		    layout=[ybox];
		    border=$.sched.border;
		    content=[
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=expirelabel;
			    		text=$.sched.expire.text;
			    		wrap=$g.label.size1;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=expiremonth;
					val="*";
			    		label=expirelabel;			    	
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=expiredofmth;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiredofwk;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expirehour;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiremin;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=separator;
			},
			{
			    ctrl=vstrut;
			},
			/* purge schedule */
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=purgelabel;
			    		text=$.sched.purge.text;
			    		wrap=$g.label.size5;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=purgemonth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=purgedofmth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgedofwk;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgehour;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgemin;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			}																			
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editrule;
    help=store_expire_editrule;
    localvar={
	/* translate this block */
	.name.text="\uc774\ub984:";
	.target.text="\ub2e4\uc74c \ud328\ud134\uacfc \uc77c\uce58\ud558\ub294 \ud3f4\ub354\uc5d0 \uc801\uc6a9:";
	.folder.title="\ud3f4\ub354 \ud06c\uae30 \uc81c\uc57d \uc870\uac74";
	.sizelimit.text="\ub2e4\uc74c \uc870\uac74\uc774 true\uc778 \uacbd\uc6b0 \uac00\uc7a5 \uc624\ub798\ub41c \uba54\uc2dc\uc9c0\ub97c \uc81c\uac70\ud558\uc2ed\uc2dc\uc624.";
	.num.text="\uba54\uc2dc\uc9c0 \uc218:";
	.msgage.text="\uba54\uc2dc\uc9c0 \uae30\uac04 \uc81c\uc57d \uc870\uac74";
	.agelimit.text="\uc9c0\uc815\ub41c \uc77c \uc218\ubcf4\ub2e4 \uc624\ub798\ub41c \ud3f4\ub354\uc758 \uba54\uc2dc\uc9c0\ub97c \uc81c\uac70\ud558\uc2ed\uc2dc\uc624.";
	.msgsize.title="\uba54\uc2dc\uc9c0 \ud06c\uae30 \uc81c\uc57d \uc870\uac74";
	.msizelimit.text="\uc9c0\uc815\ub41c \ud06c\uae30\ubcf4\ub2e4 \ud06c\uac70\ub098 \uc720\uc608 \uae30\uac04\ubcf4\ub2e4 \uc624\ub798\ub41c \ud3f4\ub354\uc758 \uba54\uc2dc\uc9c0\ub97c \uc81c\uac70\ud558\uc2ed\uc2dc\uc624.";
	.days.text="\uc77c \uc218:";
	.days.labels=["\uc77c"];
	.exclusive.help="\uc704\uc5d0\uc11c \uc9c0\uc815\ud55c \ud328\ud134\uacfc \uc77c\uce58\ud558\ub294 \ud3f4\ub354\uc5d0 \ub300\ud55c \ubc30\ud0c0\uc801\uc778 \uaddc\uce59\uc744 \ub9cc\ub4dc\uc2ed\uc2dc\uc624.";
	.exclusive.text="\ubc30\ud0c0\uc801";

	.size.text="\ud3f4\ub354 \ud06c\uae30:";
	.size.labels=["KB","MB"];
	.msgsize.text="\uba54\uc2dc\uc9c0 \ud06c\uae30 \uc81c\ud55c:";
	.msgsize.labels=["KB","MB"];
	.sizeday.labels=["\uc77c"];
	.sizeday.text="\uc720\uc608 \uae30\uac04:";
        .purge.labels=["\uc2dc"];
	.purge.text="\uc81c\uac70 \uc2dc\uac04:";

        .msgflags.title="\uba54\uc2dc\uc9c0 \ud50c\ub798\uadf8 \uc81c\uc57d \uc870\uac74";
        .msgflags.text="\ub2e4\uc74c \ud50c\ub798\uadf8 \uac12\uc5d0 \ub530\ub77c \uba54\uc2dc\uc9c0\ub97c \uc81c\uac70\ud558\uc2ed\uc2dc\uc624.";
        .msgflags.seen.text="\ud45c\uc2dc\ub428:";
        .msgflags.deleted.text="\uc0ad\uc81c\ub428:";
        .msgflags.vals=["and","or"];
        .msgflags.labels=["\ubc0f \ubaa8\ub4e0 \uc81c\uc57d \uc870\uac74","\ub610\ub294 \ubaa8\ub4e0 \uc81c\uc57d \uc870\uac74"];
        
        .usrheader.title="\ud5e4\ub354 \uc81c\uc57d \uc870\uac74";
        .usrheader.text="\uc27c\ud45c\ub85c \uad6c\ubd84\ub41c \uc0ac\uc6a9\uc790 \uc815\uc758 \ud5e4\ub354 \uac12\uc744 \uc785\ub825\ud558\uc2ed\uc2dc\uc624.";
        
        
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size0;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=targetlabel;
		    text=$.target.text;
		    wrap=$g.label.size4;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=text;
		    label=targetlabel;
		    val=$Folderpattern;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    text=$.exclusive.text;
		    val=$Exclusive;
		    content=[
			{
			    ctrl=label;
			    text=$.exclusive.help;
			    wrap=$g.label.size5;
			    candisable=false;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.folder.title;
		    val=$.folder.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.sizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=numlabel;
				    text=$.num.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=numlabel;
				    val=$Messagecount;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizelabel;
				    text=$.size.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizelabel;
				    val=$Foldersizebytes;
				    items=[kb,mb];
				    labels=$.size.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgage.text;
		    val=$.msgage.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.agelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=dayslabel;
				    text=$.days.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=dayslabel;
				    val=$Messagedays;
				    labels=$.days.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgsize.title;
		    val=$.msgsize.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.msizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=msgsizelabel;
				    text=$.msgsize.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=msgsizelabel;
				    val=$Messagesize;
				    items=[kb,mb];
				    labels=$.msgsize.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizedaylabel;
				    text=$.sizeday.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizedaylabel;
				    val=$Messagesizedays;
				    labels=$.sizeday.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}

		    ]
		},
                { /** message flags pane **/
                    ctrl=togglepane;
                    layout=[ybox];
                    text=$.msgflags.title;
                    val=$.msgflags.flag;
                    content=[
                        {
                            ctrl=label;
                            text=$.msgflags.text;
                            wrap=$g.label.size5;
                        },
                        {
                            ctrl=vstrut;
                        },
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=seenlabel;
				    text=$.msgflags.seen.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=seenlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    
				    val=$Seen;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=deletedlabel;
				    text=$.msgflags.deleted.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=deletedlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    val=$Deleted;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}			
                        
  		    ]
		},
		{ /** user-defined constraint pane **/
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.usrheader.title;
		    val=$.usrheader.flag;
		    content=[
		 	{			
			    ctrl=label;
			    id=usrheaderlabel;
			    text=$.usrheader.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=text;
			    label=usrheaderlabel;
			    val=$Usrheader;
			},   
			{
			    ctrl=hglue;
			}		    

		    ]
		},

		{
		    ctrl=vstrut;
		}
	    ]
	}
    ]
}
]
